Package Details: sanoid 2.0.3-4

Git Clone URL: https://aur.archlinux.org/sanoid.git (read-only, click to copy)
Package Base: sanoid
Description: A policy-driven snapshot management tool for ZFS filesystems.
Upstream URL: https://github.com/jimsalterjrs/sanoid
Licenses: GPL3
Submitter: fryfrog
Maintainer: fryfrog
Last Packager: fryfrog
Votes: 19
Popularity: 1.17
First Submitted: 2016-05-04 16:58
Last Updated: 2021-02-25 16:35

Dependencies (10)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

fryfrog commented on 2017-01-19 00:55

Actually, it did eventually load and I noticed there was a new version... so I gave it a shot, flagged mbuffer out of date, made a diff and posted it to mbuffer aur.

alaricljs commented on 2017-01-19 00:37

Yep, no idea for how long or if it will be back or be replaced. Thanks for the change :)

fryfrog commented on 2017-01-18 23:39

Done!

It looks like mbuffer's source site is down?

alaricljs commented on 2017-01-18 23:20

Can you make lzop, mbuffer, and pv optdepends? According to upstream they are 'used if available' so optdepends should be sufficient. This will also resolve the issue of mbuffer not being available at this point in time.

optdepends=('pv: progress bars'
'lzop: compression'
'mbuffer: stream buffering')

liketechnik2000 commented on 2016-12-19 20:51

Np That happens, but if it gets fixed now, I'm okay with it. Btw, nice that you provide that package in aur :)

fryfrog commented on 2016-12-19 20:48

Sorry about that, I had fixed it locally and in sandoid-git, but forgot to amend my commit before pushing.

fryfrog commented on 2016-12-19 20:47

Shit.

fryfrog commented on 2016-12-19 20:47

I did exactly that, the new PKBUILD has a line:
backup=('etc/sanoid/sanoid.conf')

liketechnik2000 commented on 2016-12-19 20:44

For me the backup statement did not work as it is, yaourt told me the leading slash was not allowed. I removed it so I had 'etc/sanoid/sanoid.conf' in the backup statement brackets and pacman kept the old file and saved the new one as *.pacnew file. It would be nice if this would be fixed.

fryfrog commented on 2016-12-19 17:37

Thanks, fixed! :)